Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0009496Dwarf FortressCombat -- Generalpublic2016-01-19 16:262017-11-20 14:00
ReporterLoci 
Assigned ToToady One 
PrioritynormalSeverityminorReproducibilitysometimes
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version0.42.05 
Target VersionFixed in VersionNext Version 
Summary0009496: Tiny undead creatures immune to pulping, ridiculously difficult to kill
DescriptionMy starting 7 have spent 50,000 lines of gamelog.txt locked in combat with an undead kestrel (tiny falcon). Many punch attacks "glance away" from the target, others cause bruises, but pulping seems to be impossible (comparatively, my dwarves pulped two undead ducks in ~ 10 attacks). Axe attacks are only slightly less useless, almost always tearing skin or muscles but very rarely severing anything.

Realistically, tiny creatures should be easier to pulp, and axe attacks which hit the target should almost invariably lop something off.

Testing in the arena, an unarmed dwarf easily destroyed the first 3 undead kestrels with punches severing limbs and collapsing body parts, but got stuck on the fourth, with his punch attacks glancing away or shattering bones, but not severing limbs or pulping.
Steps To Reproducecreate some unarmed dwarves in the arena
add one undead kestrel at a time until you get an unsmashable one
Additional InformationSave from 0009536 https://www.mediafire.com/?o7np5imwebvid54 [^]
Save from 0009785 http://dffd.bay12games.com/file.php?id=12070 [^]
TagsNo tags attached.
Attached Files

- Relationships
has duplicate 0009565resolvedDwarfu undead chinchilla impossible to kill 
has duplicate 0009536resolvedDwarfu Some undead won't die (a gorlak skeleton and ewe head) 
has duplicate 0009785resolvedDwarfu undead heads are unkillable 
has duplicate 0009700resolvedLoci Invincible zombie heads 
has duplicate 0010108resolvedLoci Tiny Undead - Burrows - Dwarfs won't eat or drink and they dehydrate ot starve 
related to 0000787confirmedFootkerchief Small animals and reanimated body parts can't be hit -- "the attack passes right through" 

-  Notes
(0034478)
Detros (manager)
2016-01-19 18:06

Can be related to 0005356, "Undead tissues (hair, feathers, fur) attack but cannot be hit".
(0034488)
Superrob (reporter)
2016-01-20 08:04

Wasn't this fixed in 42.05, in that they won't create such tiny undead anymore?
(0034489)
Huntthetroll (reporter)
2016-01-20 09:42

I think that the fix added other ways to kill undead, like decapitation.
(0034514)
Loci (manager)
2016-01-22 12:30

@Superrob: Since I reported this bug in v0.42.05, I think we can safely assume that it was not, in fact, fixed in that version.

@Huntthetroll: Decapitation was also amazingly difficult for the undead kestrel. My axedwarf was fighting this bird for months and only managed one severing strike (to a wing).
(0034601)
stuntaneous (reporter)
2016-02-03 21:57

Possibly related to 9536
(0034680)
TheCrazyHamsteR (reporter)
2016-02-16 08:33

Also happened to me. My military dwarves were fighting with undead rabbit for a year and cut off only his guts.

Apparently, the only way to stop the fight is to announce an alert and catch the undead animal using a cage trap.
(0036081)
Loci (manager)
2016-12-08 20:18

v0.42.06: ApertureAlex posted a save in 0009700:

http://dffd.bay12games.com/file.php?id=11966 [^]
(0036129)
jjl2357 (reporter)
2017-01-04 21:43
edited on: 2017-01-04 21:44

Found this in 43.05, where dwarves spent months battling an "alpaca head wool", until I had to retire the fortress.

(0036900)
Toady One (administrator)
2017-11-20 14:00

I fixed a few cases of this. It's quite possible there are other configurations.

- Issue History
Date Modified Username Field Change
2016-01-19 16:26 Loci New Issue
2016-01-19 18:06 Detros Note Added: 0034478
2016-01-20 08:04 Superrob Note Added: 0034488
2016-01-20 09:42 Huntthetroll Note Added: 0034489
2016-01-22 12:30 Loci Note Added: 0034514
2016-02-03 21:57 stuntaneous Note Added: 0034601
2016-02-16 08:33 TheCrazyHamsteR Note Added: 0034680
2016-05-11 21:06 Dwarfu Relationship added has duplicate 0009565
2016-05-23 15:11 Dwarfu Relationship added has duplicate 0009536
2016-05-23 15:12 Dwarfu Relationship added has duplicate 0009785
2016-05-23 15:12 Dwarfu Issue Monitored: telok
2016-05-23 15:12 Dwarfu Additional Information Updated View Revisions
2016-12-08 20:16 Loci Relationship added has duplicate 0009700
2016-12-08 20:18 Loci Note Added: 0036081
2016-12-08 20:19 Loci Description Updated View Revisions
2017-01-04 21:43 jjl2357 Note Added: 0036129
2017-01-04 21:44 jjl2357 Note Edited: 0036129 View Revisions
2017-03-15 13:06 Footkerchief Relationship added related to 0000787
2017-07-28 13:19 Loci Relationship added has duplicate 0010108
2017-11-20 14:00 Toady One Note Added: 0036900
2017-11-20 14:00 Toady One Status new => resolved
2017-11-20 14:00 Toady One Fixed in Version => Next Version
2017-11-20 14:00 Toady One Resolution open => fixed
2017-11-20 14:00 Toady One Assigned To => Toady One


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker